View Issue Details

IDProjectCategoryView StatusLast Update
0001935Industrial-Craft²E-Net, cabling, storage/transformer blockspublic2016-08-04 17:45
ReporteroitsjustjoseAssigned ToAroma1997 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0001935: Concurrent Modification Exception on World Load - world unplayable
DescriptionSo, when playing in my 1.10.2 Singleplayer I continue to get a CME every time I load the world. Nothing I do can prevent this, I've tried every 1.10.2 build of IC2 on Jenkins (including Build 13, the latest as of 7/20/2016 at 6:26AM CST).
Steps To ReproduceI can reproduce this bug every time by loading my world.

What I did to get my world at this point, I do not know. I am literally not using a single IC2 machine in it at this moment.
TagsNo tags attached.
Minecraft Version1.10.2

Relationships

duplicate of 0001923 resolvedAroma1997 java.util.ConcurrentModificationException at java.util.ArrayList$Itr.checkForComodification 

Activities

oitsjustjose

2016-07-20 11:27

reporter  

Aroma1997

2016-08-04 17:45

developer   ~0004670

I tentatively fixed it. It now logs an error message in the log file. I would appreciate, if someone could give me back a log file of where it would normally happen.

Issue History

Date Modified Username Field Change
2016-07-20 11:27 oitsjustjose New Issue
2016-07-20 11:27 oitsjustjose File Added: crash-2016-07-20_06.21.44-server.txt
2016-07-20 15:53 Chocohead Relationship added duplicate of 0001923
2016-07-20 15:54 Chocohead Category general / other => E-Net, cabling, storage/transformer blocks
2016-08-04 17:45 Aroma1997 Note Added: 0004670
2016-08-04 17:45 Aroma1997 Status new => resolved
2016-08-04 17:45 Aroma1997 Fixed in Version => Builds for MC 1.10.x
2016-08-04 17:45 Aroma1997 Resolution open => fixed
2016-08-04 17:45 Aroma1997 Assigned To => Aroma1997